summaryrefslogtreecommitdiff
path: root/sci-astronomy/predict/files
diff options
context:
space:
mode:
authorV3n3RiX <venerix@redcorelinux.org>2017-10-09 18:53:29 +0100
committerV3n3RiX <venerix@redcorelinux.org>2017-10-09 18:53:29 +0100
commit4f2d7949f03e1c198bc888f2d05f421d35c57e21 (patch)
treeba5f07bf3f9d22d82e54a462313f5d244036c768 /sci-astronomy/predict/files
reinit the tree, so we can have metadata
Diffstat (limited to 'sci-astronomy/predict/files')
-rw-r--r--sci-astronomy/predict/files/predict-2.2.3-earthtrack.patch27
-rw-r--r--sci-astronomy/predict/files/predict-update92
2 files changed, 119 insertions, 0 deletions
diff --git a/sci-astronomy/predict/files/predict-2.2.3-earthtrack.patch b/sci-astronomy/predict/files/predict-2.2.3-earthtrack.patch
new file mode 100644
index 000000000000..65f18bf9512d
--- /dev/null
+++ b/sci-astronomy/predict/files/predict-2.2.3-earthtrack.patch
@@ -0,0 +1,27 @@
+diff -Nur a/clients/earthtrack/earthtrack.c b/clients/earthtrack/earthtrack.c
+--- a/clients/earthtrack/earthtrack.c 2013-06-08 20:03:55.629967192 +0200
++++ b/clients/earthtrack/earthtrack.c 2013-06-08 20:05:15.559966743 +0200
+@@ -495,11 +495,11 @@
+
+ fprintf(fd,"marker_file=%s\n",markerfile);
+ fprintf(fd,"arc_file=%s\n",greatarcfile);
+- fprintf(fd,"marker_font=/usr/local/share/xplanet/fonts/FreeMonoBold.ttf\n");
+- fprintf(fd,"\n## Your \"/usr/local/share/xplanet/config/default\" configuration file follows:\n\n");
++ fprintf(fd,"marker_font=/usr/share/xplanet/fonts/FreeMonoBold.ttf\n");
++ fprintf(fd,"\n## Your \"/usr/share/xplanet/config/default\" configuration file follows:\n\n");
+ fclose(fd);
+
+- x=AppendFile("/usr/local/share/xplanet/config/default",configfile);
++ x=AppendFile("/usr/share/xplanet/config/default",configfile);
+
+ if (x==1)
+ {
+@@ -509,7 +509,7 @@
+
+ if (x==2)
+ {
+- fprintf(stderr,"%c*** Error: Could not read \"/usr/local/share/xplanet/config/default\"\nIs xplanet installed?\n\n",7);
++ fprintf(stderr,"%c*** Error: Could not read \"/usr/share/xplanet/config/default\"\nIs xplanet installed?\n\n",7);
+ exit(-1);
+ }
+ }
diff --git a/sci-astronomy/predict/files/predict-update b/sci-astronomy/predict/files/predict-update
new file mode 100644
index 000000000000..b0634e148e46
--- /dev/null
+++ b/sci-astronomy/predict/files/predict-update
@@ -0,0 +1,92 @@
+#!/bin/sh
+oldpwd=$PWD
+
+if [ ! -f ~/.predict/predict.tle ]; then
+ mkdir -p ~/.predict
+ cd ~/.predict
+ cat > predict.tle << EOF
+OSCAR-10
+1 14129U 02217.21791401 .00000442 00000-0 00000-0 0 7
+2 14129 25.6686 197.8739 6086930 273.5039 23.0795 2.05866525116000
+OSCAR-11
+1 14781U 02217.20425383 .00001813 00000-0 00000-0 0 6
+2 14781 98.0880 185.1059 0010359 119.2373 240.9876 14.76997913987094
+OSCAR-14
+1 20437U 02217.20572416 .00000181 00000-0 00000-0 0 8
+2 20437 98.3009 264.9286 0011799 68.5863 291.6580 14.31121869654267
+PACSAT
+1 20439U 02217.25154490 .00000231 00000-0 00000-0 0 9
+2 20439 98.3472 275.4922 0012032 74.6777 285.5743 14.31332429654304
+LUSAT
+1 20442U 02216.75520291 .00000242 00000-0 00000-0 0 5
+2 20442 98.3779 280.4632 0012985 73.9191 286.3409 14.31575156654338
+OSCAR-20
+1 20480U 02217.54003808 -.00000027 00000-0 00000-0 0 7
+2 20480 99.0206 212.5786 0540948 90.2870 276.0202 12.83318863585245
+OSCAR-22
+1 21575U 02216.97001758 .00000422 00000-0 00000-0 0 9
+2 21575 98.1264 214.2386 0008207 17.4055 342.7413 14.38915947579867
+OSCAR-23
+1 22077U 02216.94266766 -.00000037 00000-0 00000-0 0 9
+2 22077 66.0844 179.5905 0009538 319.0308 40.9993 12.86398497468888
+OSCAR-25
+1 22828U 02217.51170770 .00000176 00000-0 00000-0 0 9
+2 22828 98.2949 253.2889 0010744 97.6953 262.5454 14.29395258429974
+ITAMSAT
+1 22826U 02216.71294910 .00000212 00000-0 00000-0 0 2
+2 22826 98.2981 252.2691 0009565 119.2021 241.0116 14.29035332461667
+OSCAR-27
+1 22825U 02217.14273416 .00000182 00000-0 00000-0 0 3
+2 22825 98.2952 251.6595 0009305 119.9116 240.3013 14.28824165461683
+OSCAR-29
+1 24278U 02216.92953700 -.00000035 00000-0 00000-0 0 1
+2 24278 98.5168 30.2010 0351470 9.0561 351.6706 13.52846361294584
+OSCAR-36
+1 25693U 02217.47022698 .00000460 00000-0 00000-0 0 8
+2 25693 64.5605 253.8004 0008708 253.5019 106.5150 14.74585281177168
+OSCAR-40
+1 26609U 02217.05030362 -.00000251 00000-0 00000-0 0 6
+2 26609 7.5635 101.4360 7924755 75.7827 352.4675 1.25596086 8104
+RS-12/13
+1 21089U 02216.81449027 .00000082 00000-0 00000-0 0 9
+2 21089 82.9235 328.1138 0030158 114.6154 245.8150 13.74373061576622
+RS-15
+1 23439U 02216.86493965 -.00000037 00000-0 00000-0 0 6
+2 23439 64.8185 1.1847 0152424 152.9684 207.9281 11.27546726313309
+NOAA-12
+1 21263U 02216.96410173 .00000410 00000-0 00000-0 0 4
+2 21263 98.6066 205.1774 0011736 236.4413 123.5645 14.24842312583078
+NOAA-14
+1 23455U 02216.94655308 .00000224 00000-0 00000-0 0 1
+2 23455 99.1906 225.2382 0010223 66.1025 294.1215 14.13170722391563
+NOAA-15
+1 25338U 02216.96832533 .00000312 00000-0 00000-0 0 0
+2 25338 98.5657 239.3255 0010503 167.6220 192.5219 14.24094451219673
+UARS
+1 21701U 02217.09598012 .00001106 00000-0 00000-0 0 8
+2 21701 56.9808 110.9304 0004474 115.3921 244.7510 15.02171395596038
+HUBBLE
+1 20580U 02217.09786941 .00002710 00000-0 00000-0 0 4
+2 20580 28.4663 239.6798 0003524 339.3283 57.0940 14.96472945473016
+ISS
+1 25544U 02217.52476852 .00025143 00000-0 00000-0 0 9
+2 25544 51.6355 165.2615 0018093 106.6267 56.5198 15.57209040211722
+PCSAT
+1 26931U 02217.22743486 .00000269 00000-0 00000-0 0 9
+2 26931 67.0531 43.5764 0007786 258.8522 101.1704 14.28921812 44150
+STARSHINE 3
+1 26929U 02216.67548843 .00042169 00000-0 00000-0 0 9
+2 26929 67.0426 246.5544 0011326 237.9129 122.0981 15.57367567 47636
+EOF
+fi
+
+mkdir /tmp/predict-$$ || exit 1
+cd /tmp/predict-$$
+
+wget -qc www.celestrak.com/NORAD/elements/amateur.txt -O ./amateur.txt
+wget -qc www.celestrak.com/NORAD/elements/visual.txt -O ./visual.txt
+wget -qc www.celestrak.com/NORAD/elements/weather.txt -O ./weather.txt
+predict -u ./amateur.txt ./visual.txt ./weather.txt
+
+cd ${oldpwd}
+rm -fr /tmp/predict-$$